# game_prop_item
道具样式
# 参数列表及说明

| 参数      | 说明                                | 类型   | 是否必传 | 可选值              | 默认值          |
| --------- | -----------------------------------| ------ | -------- | ------------------- | --------------- |
| context   | 组件上下文                          | string | false    | default/icon/star | default         |
| ext       | 组件额外参数                        | any    | false    | -                   | -               |
| id        | 道具id                              | number | true    | -                   | - |
| num       | 道具数量                            | number | false    | -                   | - |

# 组件使用范例

- 示例 1

![alt text](images/prop1.png)

```
<PropItem
    w-class="e8"
    :id="100119"
    num="+15"
></PropItem>
```
# 组件使用范例

- 示例 2

![alt text](images/prop2.png)

```
<PropItem
    w-class="e8"
    :id="100119"
></PropItem>
```
# 组件使用范例

- 示例 3

![alt text](images/prop3.png)

```
<PropItem
    w-class="e8"
    :id="100119"
    context="icon"
></PropItem>
```
# 组件使用范例

- 示例 4

![alt text](images/prop4.png)

```
<PropItem
    w-class="e8"
    :id="100119"
    context="star"
></PropItem>
```



