import { WidgetBase } from "pi_gui/widget/direct";
import PropItemDefault from "./vue/default.vue";
import PropItemIcon from "./vue/prop_icon.vue";
import PropItemStar from "./vue/prop_tianbao.vue";
import PropItemSmall from "./vue/prop_small.vue";
import HallowsVue from "./vue/prop_hallows.vue";
import HallowsVue1 from './vue/prop_hallows1.vue'
import PropItemLingBao from "./vue/prop_lingbao.vue";
import PropItemLingBaoSmall from "./vue/prop_lingbao_small.vue";
import LuckDrawCardBig from "./vue/prop_luck_draw_big.vue";
import LuckDrawCardSmall from "./vue/prop_luck_draw_small.vue";


//组件上下文映射
export const widgets: {
    [k in string]: WidgetBase
} = {
    'default': PropItemDefault,//默认
    'icon': PropItemIcon,//只有道具图标
    'star': PropItemStar,//天宝类道具
    'small': PropItemSmall,//比default小的道具图标
    'hallows': HallowsVue, // 圣器
    'hallows_card': HallowsVue1,
    'ling_bao': PropItemLingBao, // 灵宝
    'ling_bao_small': PropItemLingBaoSmall, // 灵宝小
    'luck_draw_big': LuckDrawCardBig, // 抽奖
    'luck_draw_small': LuckDrawCardSmall, // 抽奖
}
